Bug 116048 - Deploy type task does not take user to Publishing tab unless it is named 'Deploy'
Deploy type task does not take user to Publishing tab unless it is named 'Dep...
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: ui (Show other bugs)
nightly
All Linux
high Severity medium
: ---
: ---
Assigned To: Scott Seago
Jon Orris
:
Depends On:
Blocks: 113496
  Show dependency treegraph
 
Reported: 2004-02-17 15:29 EST by Jon Orris
Modified: 2007-03-27 00:14 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-25 16:45:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2004-02-17 15:29:30 EST
Description of problem:
40422/Postgres

Unless a task of type Deploy is actually named 'Deploy', it will not
take the user assigned to it to the Publishing tab of the content
item. Instead, they are sent to the Authoring tab.

To Reproduce:
Create a new Workflow.
Add a deploy task that's called something other than 'Deploy', say
'Publish'.

Assign some user/role to it.
When that task is enabled, go to the content center & click the
'Publish' link.
This will take the user to the Authoring tab, instead of the Publish tab.

Delete the item's workflow & rename this task to 'Deploy'.
Re-appply the workflow.
Now, when this task is enabled, and the user clicks 'Deploy', he is
taken to the Publish tab.
Comment 1 Jon Orris 2004-02-17 15:31:25 EST
This is a regression, as it breaks the Workflow smoke test.
Comment 2 Scott Seago 2004-02-17 16:37:07 EST
Fixed @40486. Determine redirect tab by task type rather than task label.

Note You need to log in before you can comment on or make changes to this bug.